xcR = false -- ***GLOBAL VARIABLE*** if true xcRestart requested via function script 

local lastHighMidLow

local input =
    {
        { "Switch", SOURCE},                -- user selects source (typically slider or knob)
        { "Trig", VALUE, 0, 1, 1 }    -- trigger value, default = 1 trigger fires when transitioning from low to high.
    }

local function init()
  lastValue = nil
end

local function run(switch, trig)
    -- variable switch will contain the current switch value which will be evaluated to 1, 0, or -1
    
    local highMidLow  -- based on switch value as follows: 1 if over 1000, -1 if under -1000, otherwise zero
    if (switch > 1000) then
      highMidLow = 1
    elseif (switch < -1000) then
      highMidLow = -1
    else
      highMidLow = 0
    end
    if (lastHighMidLow == nil) then
      lastHighMidLow = highMidLow
    end
    
    -- is the current value different from the last value?
    if (lastHighMidLow ~= highMidLow) then
      if (trig == 1) and (highMidLow == 1) then -- fire when changing to 1
        xcR = true
      elseif ((trig == 0) and (highMidLow == -1)) then -- fire when changing to -1
        xcR = true
      end
    end
    
    lastHighMidLow = highMidLow
    
    return
end

return {input=input, run=run, init=init}
